/********************************************************************************
 * Copyright (c) 2025 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 ********************************************************************************/

.caption-wrapper {
  display: flex;
  justify-content: flex-end;
  gap: 0.25rem;
  padding: 0.25rem 0.5rem;
}

.system-selector .text {
  display: inline;
  padding-right: 0.5em;
}

.mdm-unit-viewer-container {
  height: 100%;
  overflow: hidden;
}

.unit-table .button-col {
  width: 60px;
}

.unit-table .dense {
  width: 12%;
}
.unit-table td.dense {
  overflow: hidden;
}
.unit-table th.dense {
  min-width: max-content;
}

.actioncol {
  width: 65px;
}

/* --------- remove spinner from number input fields ----------- */

/* Chrome, Safari, Edge, Opera */
.mdm-unit-viewer-container input::-webkit-outer-spin-button,
.mdm-unit-viewer-container input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
.mdm-unit-viewer-container .ui-g input[type="number"] {
  -moz-appearance: textfield;
}